$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("blur keyup", '.descripoth', addProjtran);
    $("body").on("change", ".itemgrp", getscode);
    $("body").on("blur keyup", ".tallunit, .qty", totUnit);

    function remove() {
        $(this).closest("tr").remove();
    }

    function addProjtran() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }
    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('itemsupp_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }
    $('#addnew').click(function () {
        AddRows();
    });


    function totUnit() {

        var baseunit = $('.baseunit').val(),
                wallunit = $('.wallunit').val(),
                loftunit = $('.loftunit').val(),
                tallunit = $('.tallunit').val() * 2,
                totqty = 0;

        var totunit = parseFloat(baseunit) + parseFloat(wallunit) + parseFloat(loftunit) + parseFloat(tallunit);

        $(".totunit").val(totunit);

        $(".qty").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                totqty += parseFloat(this.value);
            }

        });
        $(".totqty").val(totqty);


    }


    function getscode() {
        var itemgrp = $('.itemgrp').val();
        $.post('gethsn_item.php', {itemgrp: itemgrp}, function (data) {
            $('.hsncode').val(data.hsncode);
            $('.gstperc').val(data.gstperc).trigger("change");
        }, 'json');
    }


});